Bug 432478 - bad: cups server dies while configuring through web interface
bad: cups server dies while configuring through web interface
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 04:53 EST by François Patte
Modified: 2008-02-18 22:16 EST (History)
0 users

See Also:
Fixed In Version: 1.3.5-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 22:16:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2703 None None None Never

  None (edit)
Description François Patte 2008-02-12 04:53:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); fr; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
Using web interface to configure cups server creates strange characters in cupsd.conf file for instance:

DefaultAuthType  ^M뻻*

this causes cups to die and printing is impossible. cups cannot be restarted.

Version-Release number of selected component (if applicable):
cups-1.3.5-2.fc8.x86_64

How reproducible:
Always


Steps to Reproduce:
1.open http://localhost:631
2.choose printing server admin
3.change something and save

Actual Results:
cups server dies

Expected Results:
config changed!....

Additional info:
using web browser firefox-2.0.0.10-3.fc8.i386 from f8 install

language of system is fr_FR.UTF-8
Comment 1 Fedora Update System 2008-02-12 12:03:50 EST
cups-1.3.5-3.fc8 has been submitted as an update for Fedora 8
Comment 2 Fedora Update System 2008-02-13 00:16:43 EST
cups-1.3.5-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1626
Comment 3 Fedora Update System 2008-02-18 22:16:47 EST
cups-1.3.5-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.